<?

// This is an example how to use php with gpmi. This script is also part of
// the regression test

function RunData ($data) {
	echo("main:RunData $data == 0x1234\n");
}

function ev_cycle ($timer_data) {
	global $gTTL, $gfreq;

	$TTL = TimerInfo($timer_data, "TTL");
	$freq = TimerInfo($timer_data, "freq");
	$user_data = TimerInfo($timer_data, "user_data");

	echo("main:ev_cycle ( $gTTL == $TTL )  ( $gfreq == $freq ) ( $user_data == data1 ) (runs 4 times)\n");
	$gTTL--;
}

function ev_cycle ($timer_data) {
	global $gTTL, $gfreq;

	$TTL = TimerInfo($timer_data, "TTL");
	$freq = TimerInfo($timer_data, "freq");
	$user_data = TimerInfo($timer_data, "user_data");

	echo("main:ev_every_second ( $gTTL == $TTL )  ( $gfreq == $freq ) ( $user_data == data2 ) (runs 3 times)\n");
	$gTTL--;
}

function ev_nothing ($id, $year, $param) {
	global $gyear, $gparam;
	echo("main:ev_nothing: year: ( $gyear == $year ) param: ( $gparam == $param )\n");
}

echo("main:Running init part.\n");

# Check timers
$gTTL = 4;
$gfreq = 0;
AddTimer(4, 0, ev_cycle, "data1");
$gTTL = 3;
$gfreq = 2;
AddTimer(3, 2, ev_every_second, "data2");

# Check package loading
PkgLoad(example, 0);
echo("main:main1 ".Example_int(10)." == 1244 when works\n");

# Check events
$gyear = 2005;
$gparam = 155;
Bind(Example_nothing, ev_nothing);
Example_do_nothing(155);


# Check FakeEvent
$gyear = 3000;
$gparam = 20;
FakeEvent(Example_nothing, "3000 20");

echo("main:main2 Finished init part.\n");

?>