#!/bin/bash

#Please read Readme-config

function try_guile {
	q=`echo '
#include <libguile.h>
int main(int argc, char *argv[]) {
	scm_init_guile();

	printf("OK");
	return 0;
}
	'  | test_compile`

	echo "[scripts] Trying guile with CF=$CFLAGS, LD=$LDFLAGS ->$q" >> $LOG

	if test "$q" = "OK"
	then
		return 0
	fi

	return 1
}

function guile_find() {
	LDFLAGS=`guile-config link 2>/dev/null`
	CFLAGS=`guile-config compile 2>/dev/null`
	try_guile && echo "$CFLAGS | $LDFLAGS" && return
	LDFLAGS="$LDFLAGS -ldl"
	try_guile && echo "$CFLAGS | $LDFLAGS" && return
}

#remove these before you start using it
. lib/compile.lib
guile_find
